/*
 * HC-SR04 example sketch
 * https://create.arduino.cc/projecthub/Isaac100/getting-started-with-the-hc-sr04-ultrasonic-sensor-036380
 * by Isaac100
 *.     Setup: VCC - 5v:  Gnd - Gnd:  Trig - pin 10:  Echo - pin 9 
 */

const int trigPin = 10;
const int echoPin = 9;

float duration;
float distance;
int scaled_distance;

void setup() {
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  Serial.begin(9600);
}

void loop() {
  digitalWrite(trigPin, LOW);   // reset
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);  // generate "ping"
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  duration = pulseIn(echoPin, HIGH); //Listen for echo
  distance = (duration * .0343)/2;   // calculate centimeter distance
  if(distance > 140){
     distance = 140;
  }
  map(distance, 1, 140, 1, 100);
  scaled_distance = int(distance);  // Convert floating point to integer
  Serial.println(scaled_distance);
  delay(100);
}