/*
 * HC-SR04 example sketch
 * https://create.arduino.cc/projecthub/Isaac100/getting-started-with-the-hc-sr04-ultrasonic-sensor-036380
 * by Isaac100
 *    Setup: VCC - 5v:  Gnd - Gnd:  Trig - pin 10:  Echo - pin 9 
 */

const int trigPin = 10;
const int echoPin = 9;

float duration;
float distance;

void setup() {
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
  Serial.begin(9600);
}

void loop() {
  digitalWrite(trigPin, LOW);  // Start low to reset
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH); // Generate "ping"
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);

  duration = pulseIn(echoPin, HIGH);   // Listen for echo
  distance = (duration * .0343)/2;     // calculate centimeters
  Serial.print("Centimeters: ");
  Serial.println(distance);
  delay(100);
}